Bug 1488933 (CVE-2017-13738) - CVE-2017-13738 liblouis: Illegal address access in the _lou_getALine function
Summary: CVE-2017-13738 liblouis: Illegal address access in the _lou_getALine function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-13738
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170823,reported=2...
Depends On: 1488944 1491924 1491925
Blocks: 1488949
TreeView+ depends on / blocked
 
Reported: 2017-09-06 13:27 UTC by Andrej Nemec
Modified: 2019-06-08 22:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Multiple flaws were found in the processing of translation tables in liblouis. An attacker could crash or potentially execute arbitrary code using malicious translation tables.
Clone Of:
Environment:
Last Closed: 2017-11-03 15:46:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3111 normal SHIPPED_LIVE Moderate: liblouis security update 2017-11-02 19:51:34 UTC

Description Andrej Nemec 2017-09-06 13:27:49 UTC
There is an illegal address access in the _lou_getALine function in compileTranslationTable.c:346 in Liblouis 3.2.0.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1484297

Comment 1 Andrej Nemec 2017-09-06 13:40:27 UTC
Created liblouis tracking bugs for this issue:

Affects: fedora-all [bug 1488944]

Comment 4 errata-xmlrpc 2017-11-02 15:52:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:3111 https://access.redhat.com/errata/RHSA-2017:3111


Note You need to log in before you can comment on or make changes to this bug.